<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.collectionengine.service.ConfigService"%>

<%@ page import = "zr.zrpower.collectionengine.*" %>
<%@ page import = "zr.zrpower.common.web.SelectBox" %>
<%
CollectionInfo[] configs = null;
ConfigService configservice = new ConfigService();
configs = configservice.allListConfig("");
String[][] saConfig = null;
if(configs!=null&&configs.length>0){
   saConfig = new String[configs.length][2];
   for(int i=0;i<saConfig.length;i++){
      saConfig[i][0] = configs[i].getID();
      saConfig[i][1] = configs[i].getDOCNAME();
   }
}
SelectBox sb = new SelectBox(saConfig);
%>
<html>
<head>
<title>
test
</title>
</head>

<body bgcolor="#ffffff">
<script type="text/javascript" language="javascript">
 function TestColl(){
    document.location.href = "../collengine.do?coll_mode=0&coll_ID="+document.form1.collid.value;
 }
</script>
<h1>
<form action="" method="post" name="form1">
<select name="collid" id="collid">
<%=sb.show()%>
</select>
</form>
<a href="javascript:TestColl()">测试采集引擎-新建</a><br>
</h1>
</body>
</html>
<%
//清空相关对象
configservice = null;
configs = null;
%>
